ServerEvents.recipes(event => {
    event.remove({ output: 'matc:inferium_crystal' })
    event.remove({ output: 'matc:prudentium_crystal' })
    event.remove({ output: 'matc:tertium_crystal' })
    event.remove({ output: 'matc:imperium_crystal' })
    event.remove({ output: 'matc:supremium_crystal' })
    event.remove({ output: 'mysticalagriculture:infusion_crystal' })
    event.remove({ output: 'mysticalagriculture:master_infusion_crystal' })
    event.remove({ output: 'mysticalagriculture:inferium_essence' })
    event.remove({ output: 'mysticalagriculture:prudentium_essence' })
    event.remove({ output: 'mysticalagriculture:tertium_essence' })
    event.remove({ output: 'mysticalagriculture:imperium_essence' })
    event.remove({ output: 'mysticalagriculture:supremium_essence' })
    event.remove({ id: 'matc:insanium_essence' })
    event.remove({ id: 'mysticalagriculture:inferium_seeds' })
    event.remove({ id: 'mysticalagriculture:prudentium_block_combine' })
    event.remove({ id: 'mysticalagriculture:tertium_block_combine' })
    event.remove({ id: 'mysticalagriculture:imperium_block_combine' })
    event.remove({ id: 'mysticalagriculture:supremium_block_combine' })
    event.remove({ id: 'mysticalagradditions:insanium_block_combine' })
    event.remove({ id: 'productivebees:prosperity_incubation' })
    event.remove({ id: 'productivebees:mysticalagriculture/inferium_bee' })
    event.remove({ id: 'productivebees:mysticalagriculture/prudentium_bee' })
    event.remove({ id: 'productivebees:mysticalagriculture/tertium_bee' })
    event.remove({ id: 'productivebees:mysticalagriculture/imperium_bee' })
    event.remove({ id: 'productivebees:mysticalagriculture/supremium_bee' })
    event.shaped(
      Item.of('matc:inferium_crystal', 1),
      [
        'BCB',
        'CAC',
        'BCB'
      ],
      {
        A: 'mysticalagriculture:inferium_gemstone',
        B: 'apotheosis:rare_material',
        C: 'mysticalagriculture:inferium_block'
      }
    )
    event.shaped(
      Item.of('matc:prudentium_crystal', 1),
      [
        'BCB',
        'CAC',
        'BCB'
      ],
      {
        A: 'matc:inferium_crystal',
        B: 'apotheosis:epic_material',
        C: 'mysticalagriculture:prudentium_block'
      }
    )
    event.shaped(
      Item.of('matc:tertium_crystal', 1),
      [
        'BCB',
        'CAC',
        'BCB'
      ],
      {
        A: 'matc:prudentium_crystal',
        B: 'apotheosis:mythic_material',
        C: 'mysticalagriculture:tertium_block'
      }
    )
    event.shaped(
      Item.of('matc:imperium_crystal', 1),
      [
        'BCB',
        'CAC',
        'BCB'
      ],
      {
        A: 'matc:tertium_crystal',
        B: 'apotheosis:ancient_material',
        C: 'mysticalagriculture:imperium_block'
      }
    )
    event.shaped(
      Item.of('matc:supremium_crystal', 1),
      [
        'BCD',
        'CAC',
        'ECF'
      ],
      {
        A: 'matc:imperium_crystal',
        B: 'apotheotic_additions:sacrificial_shelf',
        D: 'apotheotic_additions:wavebinders_shelf',
        E: 'apotheotic_additions:void_shelf',
        F: 'apotheotic_additions:terra_shelf',
        C: 'mysticalagriculture:supremium_block'
      }
    )
    event.shaped(
      Item.of('mysticalagriculture:master_infusion_crystal', 1),
      [
        'BCB',
        'CAC',
        'BCB'
      ],
      {
        A: 'matc:supremium_crystal',
        B: 'bbq_minecraft:bbq_sauce',
        C: 'mysticalagradditions:insanium_block'
      }
    )
    event.shaped(
  Item.of('mysticalagriculture:inferium_seeds', 1),
  [
    'CAC',
    'ABA',
    'CAC'
  ],
  {
    A: 'mysticalagriculture:inferium_essence',
    B: '#forge:seeds',
    C: 'mekanism:dust_netherite'
  }
)
    event.shaped(
  Item.of('mysticalagriculture:prudentium_essence', 1),
  [
    'CAC',
    'ABA',
    'CAC'
  ],
  {
    A: 'mysticalagriculture:inferium_essence',
    B: 'matc:inferium_crystal',
    C: 'mekanism:dust_iron'
  }
)
    event.shaped(
  Item.of('mysticalagriculture:tertium_essence', 1),
  [
    'CAC',
    'ABA',
    'CAC'
  ],
  {
    A: 'mysticalagriculture:prudentium_essence',
    B: 'matc:prudentium_crystal',
    C: 'mekanism:dust_gold'
  }
)
    event.shaped(
  Item.of('mysticalagriculture:imperium_essence', 1),
  [
    'CAC',
    'ABA',
    'CAC'
  ],
  {
    A: 'mysticalagriculture:tertium_essence',
    B: 'matc:tertium_crystal',
    C: 'mekanism:dust_refined_obsidian'
  }
)
    event.shaped(
  Item.of('mysticalagriculture:supremium_essence', 1),
  [
    'CAC',
    'ABA',
    'CAC'
  ],
  {
    A: 'mysticalagriculture:imperium_essence',
    B: 'matc:imperium_crystal',
    C: 'silentgear:crimson_steel_dust'
  }
)
    event.shaped(
  Item.of('mysticalagradditions:insanium_essence', 1),
  [
    'CAC',
    'ABA',
    'CAC'
  ],
  {
    A: 'mysticalagriculture:supremium_essence',
    B: 'matc:supremium_crystal',
    C: 'bbq_minecraft:amethysteel_dust'
  }
)
    event.shaped(
  Item.of('bbq_minecraft:barbecunium_essence', 1),
  [
    'CAC',
    'ABA',
    'CAC'
  ],
  {
    A: 'mysticalagradditions:insanium_essence',
    B: 'mysticalagriculture:master_infusion_crystal',
    C: 'bbq_minecraft:bbqpowder'
  }
)
event.shapeless(
  Item.of('mysticalagriculture:inferium_essence', 9),
  [
    'mysticalagriculture:inferium_block'
  ]
)
event.shapeless(
  Item.of('mysticalagriculture:prudentium_essence', 9),
  [
    'mysticalagriculture:prudentium_block'
  ]
)
event.shapeless(
  Item.of('mysticalagriculture:tertium_essence', 9),
  [
    'mysticalagriculture:tertium_block'
  ]
)
event.shapeless(
  Item.of('mysticalagriculture:imperium_essence', 9),
  [
    'mysticalagriculture:imperium_block'
  ]
)
event.shapeless(
  Item.of('mysticalagriculture:supremium_essence', 9),
  [
    'mysticalagriculture:supremium_block'
  ]
)
})
